Loading...
Searching...
No Matches
_ocsd_etmv3_pkt Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_etmv3.h>`

Collaboration diagram for _ocsd_etmv3_pkt:
[legend]

## Public Attributes

ocsd_etmv3_pkt_type | type
ocsd_isa | curr_isa
ocsd_isa | prev_isa
etmv3_context_t | context
ocsd_pkt_vaddr | addr
etmv3_isync_t | isync_info
ocsd_etmv3_excep | exception
ocsd_pkt_atom | atom
uint8_t | p_hdr_fmt
uint32_t | cycle_count
uint64_t | timestamp
uint8_t | ts_update_bits
etmv3_data_t | data
ocsd_etmv3_pkt_type | err_type

## Detailed Description

Definition at line 134 of file trc_pkt_types_etmv3.h.

## Member Data Documentation

## addr

ocsd_pkt_vaddr _ocsd_etmv3_pkt::addr

current Addr

Definition at line 142 of file trc_pkt_types_etmv3.h.

## atom

ocsd_pkt_atom _ocsd_etmv3_pkt::atom

atom elements - non zerom number indicates valid atom count

Definition at line 148 of file trc_pkt_types_etmv3.h.

## context

etmv3_context_t _ocsd_etmv3_pkt::context

current context

Definition at line 141 of file trc_pkt_types_etmv3.h.

## curr_isa

ocsd_isa _ocsd_etmv3_pkt::curr_isa

current ISA

Definition at line 138 of file trc_pkt_types_etmv3.h.

## cycle_count

uint32_t _ocsd_etmv3_pkt::cycle_count

cycle count associated with this packet (ETMv3 has counts in atom packets and as individual packets

Definition at line 150 of file trc_pkt_types_etmv3.h.

## data

etmv3_data_t _ocsd_etmv3_pkt::data

data transfer values

Definition at line 155 of file trc_pkt_types_etmv3.h.

## err_type

ocsd_etmv3_pkt_type _ocsd_etmv3_pkt::err_type

Basic packet type if primary type indicates error or incomplete. (header type)

Definition at line 157 of file trc_pkt_types_etmv3.h.

## exception

ocsd_etmv3_excep _ocsd_etmv3_pkt::exception

Definition at line 146 of file trc_pkt_types_etmv3.h.

## isync_info

etmv3_isync_t _ocsd_etmv3_pkt::isync_info

Definition at line 144 of file trc_pkt_types_etmv3.h.

## p_hdr_fmt

uint8_t _ocsd_etmv3_pkt::p_hdr_fmt

if atom elements, associated phdr format

Definition at line 149 of file trc_pkt_types_etmv3.h.

## prev_isa

ocsd_isa _ocsd_etmv3_pkt::prev_isa

ISA in previous packet

Definition at line 139 of file trc_pkt_types_etmv3.h.

## timestamp

uint64_t _ocsd_etmv3_pkt::timestamp

current timestamp value

Definition at line 152 of file trc_pkt_types_etmv3.h.

## ts_update_bits

uint8_t _ocsd_etmv3_pkt::ts_update_bits

bits of ts updated this packet (if TS packet)

Definition at line 153 of file trc_pkt_types_etmv3.h.

## type

ocsd_etmv3_pkt_type _ocsd_etmv3_pkt::type

Primary packet type.

Definition at line 136 of file trc_pkt_types_etmv3.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/opencsd/etmv3/trc_pkt_types_etmv3.h